Bug 1872644 - QE - Design Gherkin Scenarios
Summary: QE - Design Gherkin Scenarios
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: spathak@redhat.com
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-26 09:35 UTC by spathak@redhat.com
Modified: 2020-09-09 07:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6442 None closed Bug 1872644: gherkin script for HPA-add,edit an delete-ODC-3556 2020-09-16 14:38:24 UTC

Description spathak@redhat.com 2020-08-26 09:35:40 UTC
Description of problem:
Design gherkin scenarios

Version-Release number of selected component (if applicable):


Acceptance Criteria
1. As a user, I want to add a HPA to a workload via a form.
    1. As a user, when adding an HPA, I should be able to switch back and form from the form to the YAML editor
    2. As a user, I should be able to specify custom metrics for my HPA from the YAML editor.
2. As a user, I want to edit the HPA assigned to a workload.
    1. If the HPA doesn't include custom metrics, the default experience should be via a form, but the user should be able to switch to the YAML editor.
    2. If the HPA does include custom metrics, the only choice will be the YAML editor.
3. As a user, I want to remove the HPA assigned to a workload.
4. As a user, I want to go to the HPA page in the Admin perspective, create an HPA and specify the workload to assign it to, via a form
5. As a user, I want to Search for HPAs, click on the Create button and create an HPA and specify the workload to assign it to, via a form
.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.